Needs Compatibility with Firefox 3 Puntuado con 4 de 5 estrellas

I think this was awesome because it's like FEBE. It would be great though if it had compatibility with Fx 3.

Esta valoración es de una versión anterior del complemento (1.0).